-- Exemplo 5 - GATES - 2 entradas - Testbench
-- Arquitetura de Computadores
-- Prof. Erivelton
library ieee;
use ieee.std_logic_1164.all;
  
entity tb_PortaGATES2to1 is
end tb_PortaGATES2to1;
 
architecture behavior of tb_PortaGATES2to1 is 
	-- Declaração de componente de: Unit Uder Test (UUT)
	component PortaGATES2to1
	port 
	(
		a	: in std_logic;
		b   : in std_logic;
		y1	: out std_logic;		
		y2	: out std_logic;		
		y3	: out std_logic;		
		y4	: out std_logic;		
		y5	: out std_logic
	);
    end component;
	-- Sinais
	signal a : std_logic;
	signal b : std_logic;
	signal y1 : std_logic;
	signal y2 : std_logic;
	signal y3 : std_logic;
	signal y4 : std_logic;
	signal y5 : std_logic;
	begin
	-- Definição the Unit Under Test (UUT)
	uut: PortaGATES2to1 port map 
	(
		a => a,
		b => b,
		y1 => y1,		
		y2 => y2,		
		y3 => y3,		
		y4 => y4,		
		y5 => y5		
	);
	-- Stimulus process
	stim_proc: process
	begin
		-- insert stimulus here 		
		wait for 5 ns;	
			a <= '0';
            b <= '0';
		wait for 5 ns;	
			a <= '1';
            b <= '0';
		wait for 5 ns;
			a <= '0';
            b <= '1';
		wait for 5 ns;
			a <= '1';
            b <= '1';
		wait;
   end process;
end architecture;
